Subject: RE: [Sip] refer-06 question

From: [email-masked]
Date: Mon, 29 Jul 2002 11:58:11 +0300

I guess it all depends on how you define "immediate" to mean. If its a matter of seconds, then I think its ok to send the one NOTIFY only.

I quote RFC3165

"Until the first NOTIFY message arrives, the subscriber
   should consider the state of the subscribed resource to be in a
   neutral state.  Documents which define new event packages MUST define
   this "neutral state" in such a way that makes sense for their
   application (see section 4.4.7.)."

Regards,
Hisham

> -----Original Message-----
> From: ext Vijay S Kamath [mailto:[email-masked]]
> Sent: Friday, July 26, 2002 3:25 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: RE: [Sip] refer-06 question
> 
> 
> Patrick,
> 
> You cannot delay the notification until the referenced 
> request completes.
> Quoting Sec 2.4.4: "The creation of a subscription as defined 
> by [1] always results in an
> immediate NOTIFY. "
> 
> So I suggest you follow your second suggestion.
> 
> Vijay
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Friday, July 26, 2002 5:24 PM
> To: Vijay Kamath
> Cc: [email-masked]
> Subject: RE: [Sip] refer-06 question
> 
> 
> vsk,
> 
> Thanks for the answer.
> I understand both cases; but this does not light my way.
> Let me put it in other words.
> 
> can i delay the notification until the referenced request 
> completes? leading to send only 1 notification???? (assuming 
> timers are OK).
> 
> Or am i oblige to send a 1rst notification, wait for 
> completion of the 
> referenced request and send a final notification ?
> 
> What is mandatory?
> 
> Patrick
> 
> 
> Quoting Vijay S Kamath <[email-masked]>:
> 
> > It can be either 1 or more, but at least 1.
> > Qouting Section 2.4.7: "Each NOTIFY must contain a 
> Subscription-State 
> > header field as defined
> >    in [2].  The final NOTIFY sent in response to a REFER 
> MUST indicate
> >    the subscription has been "terminated" with a reason of 
> > "noresource"."
> > 
> > The final NOTIFY can also be the first NOTIFY.
> > 
> > Regards... Vijay
> > 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]
> > Sent: Friday, July 26, 2002 2:48 PM
> > To: [email-masked]
> > Subject: [Sip] refer-06 question
> > 
> > 
> > Sir,
> > 
> > 
> > In 2.4.5 § of refer-06 draft It is stated that a "A minimal, but 
> > complete, implementation can respond with a single NOTIFY 
> containing 
> > either ...the
> > body:
> > SIP/2.0 200 OK if the reference was successful".
> > 
> > It seems to be in contradiction with § 3.10 saying that 
> > "Alternatively, the subscription might only result in two NOTIFY 
> > requests, the immediate NOTIFY and
> > the NOTIFY carrying the final result of the reference".
> > 
> > Do we need 1 or 2 NOTIFY in a minimal implementation?
> > 
> > Best Regards,
> > 
> > Patrick
> > 
> > _______________________________________________
> > Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> > This list is for NEW development of the core SIP Protocol
> > Use [email-masked] for questions on 
> current sip Use 
> > [email-masked] for new developments on the application of sip
> > 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: [email-masked]
Date: Mon, 29 Jul 2002 11:35:07 +0200 (MEST)

Assuming that you mean RFC3265, there are several contradictory answers.
I would like to suggest that refer-06 should be clearer on the subject.
It should describe what a minimal implementation is.

Patrick

Quoting [email-masked]:

> I guess it all depends on how you define "immediate" to mean. If its a
> matter of seconds, then I think its ok to send the one NOTIFY only.
> 
> I quote RFC3165
>

---

From: Robert Sparks <[email-masked]>
Date: 29 Jul 2002 09:29:45 -0500

rfc3265 is authoritative for matters involving sip-events.
Refer only uses it.

You cannot wait for the referenced request to complete. RFC3265
requires the NOTIFY to be sent as soon as the SUBSCRIBE is
accepted (the language Hisham quotes deals with the period between
requesting the subscription and receiving the first notify - that
period needs to be short. Trying to use it to sneak in some processing
time you hope to be short will introduce HERFP troubles later).

An immediate NOTIFY must be sent. If you have the final results
at hand, (through policy for example), that NOTIFY can contain the final
result and be the only NOTIFY sent. Normally, you will have to actually
make the referenced request, and at least two NOTIFYs will be sent.

RjS